Summary:        C library for portable packet creation and injection
Name:           libnet
Version:        1.3
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/libnet/libnet
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch3000:      libnet-config.patch

BuildRequires:  gcc make doxygen %{_bindir}/pod2man

%description
Libnet is an API to help with the construction and handling of network packets.
It provides a portable framework for low-level network packet writing and handling
(use libnet in conjunction with libpcap and you can write some really cool stuff).
Libnet includes packet creation at the IP layer and at the link layer as well as
a host of supplementary and complementary functionality.

%package devel
Summary:        Development files for the libnet library
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The libnet-devel package includes header files and libraries necessary for developing
programs which use the libnet library. Libnet is very handy with which to write network
tools and network test code. See the man page and sample test code for more detailed information.

%prep
%autosetup -n %{name}-%{version} -p1
sed -e 's/-version-info 9:0:0/-version-info 9:0:8/' -i src/Makefile.{am,in}

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.{a,la}
rm -rf %{buildroot}%{_defaultdocdir}
rm -rf sample/{Makefile*,win32}
for file in sample/*.[hc]; do
  sed \
    -e 's@#include "../include/libnet.h"@#include <libnet.h>@' \
    -e 's@#include "../include/config.h"@#include <config.h>@' \
    $file > $file.new
    touch -c -r $file{,.new}
    mv -f $file{.new,}
done

%files
%license LICENSE
%doc README.md ChangeLog.md
%{_libdir}/%{name}.so.*

%files devel
%doc doc/MIGRATION.md doc/RAWSOCKET.md sample/
%{_bindir}/%{name}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man3/%{name}*.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.3-1
- Upgrade to version 1.3

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 1.2-1
- initial build

